How to convert a point into a TopoDS Shape?

I want to express a point,an edge or a face to TopoDS Shape.How can I do that?

Win Than Aung's picture

reverse of triangulation?? through triangulation process, you will get indexes and vertices..you wanna do in reverse way?

DeleDivaneeh's picture

I mean that I have a TopoDS_Vertex or TopoDS_Edge and I want to convert this to TopoDS_Shape.

If it is not sense,I have another question.My problem is that I want to show a point or an edge but not a shape on VTK screen.

That is TopoDS_Vertex or TopoDS_Edge, I want to show this on VTK screen?

Thank you for reply..

Hugues Delorme's picture

Simply do something like :
TopoDS_Vertex vertex;
// ...
TopoDS_Shape shape = vertex;

DeleDivaneeh's picture

Ok,I have already done that.My real problem is that I want to show a point on VTK screen in OCC.

Is there a code fragment which displays a point on VTK screen?

Thank you..

Svetlozar Kostadinov's picture

I suppose you need this method:

gp_Pnt BRep_Tool::Pnt(const TopoDS_Vertex& V);